Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat
Class AbstractScrolledComponent

    java.lang.Object
      jcontrol.ui.wombat.Component
          jcontrol.ui.wombat.AbstractFocusComponent
              jcontrol.ui.wombat.AbstractScrolledComponent

All Implemented Interfaces:
  EventListener, ActionProducer, KeyListener, TouchListener, IFocusable

Direct Known Subclasses:
  ComboBox, ListBox, TextViewer

    public abstract class AbstractScrolledComponent

extends AbstractFocusComponent

Abstract superclass for all components that have a scrollbar. This class provides the method to draw the scrollbar on the screen.

Field Summary
`protected int` | `m_fontHeight`
`protected int` | `m_scrollBarSize`
`protected int` | `m_scrollValue`

Fields inherited from class jcontrol.ui.wombat.AbstractFocusComponent
`BORDER_WIDTH, listener`

Fields inherited from class jcontrol.ui.wombat.Component
`backgroundColor, COLOR_COMPONENT_BACKGROUND, COLOR_COMPONENT_BACKGROUND_HIGHLIGHTED, COLOR_COMPONENT_DARK_SHADOW, COLOR_COMPONENT_FOREGROUND, COLOR_COMPONENT_FOREGROUND_INACTIVE, COLOR_COMPONENT_HIGHLIGHT_SHADOW, COLOR_COMPONENT_LIGHT_SHADOW, COLOR_COMPONENT_LIST_BACKGROUND, COLOR_COMPONENT_NORMAL_SHADOW, COLOR_COMPONENT_SELECTION_TEXT, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND_INACTIVE, COLOR_COMPONENT_SELECTION_TEXT_INACTIVE, eventQueue, font, foregroundColor, frame, height, parent, RESERVED1, RESERVED2, RESERVED3, RESERVED4, RESERVED5, RESERVED6, state, STATE_ABORT_UPDATE, STATE_ANIMATED, STATE_BG_COLOR_SET, STATE_COVERED, STATE_DIRTY_MASK, STATE_DIRTY_PAINTALL, STATE_DIRTY_REPAINT, STATE_DIRTY_UPDATE, STATE_DISABLED, STATE_DISPOSED, STATE_FG_COLOR_SET, STATE_FOCUS, STATE_HEIGHT_FIXED, STATE_NO_REDRAW, STATE_REVALIDATE, STATE_SELECTED, STATE_SIZE_FIXED, STATE_UPDATED, STATE_VISIBLE, STATE_WIDTH_FIXED, transparentColor, width, x, y`

Fields inherited from interface jcontrol.ui.wombat.IFocusable
`TRANSFER_FOCUS_BACKWARD, TRANSFER_FOCUS_FORWARD`

Fields inherited from interface jcontrol.ui.wombat.event.TouchListener
`RESULT_ACCEPTED, RESULT_EXECUTED, RESULT_NONE`

Constructor Summary
`AbstractScrolledComponent()`

Method Summary
`protected void` | `drawScrollBar(XGraphics g, int x, int y, int height, int scrollValue)`

Methods inherited from class jcontrol.ui.wombat.AbstractFocusComponent
`clearCorners, drawBevelRect, drawButton, drawDottedRect, drawFocusRect, getActionListener, onActionEvent, onKeyEvent, onTouchEvent, requestFocus, setActionListener, setEnabled, setVisible`

Methods inherited from class jcontrol.ui.wombat.Component
`drawDisabledImage, getFrame, isEnabled, isVisible, isVisibleInternal, paint, redrawInternalAndParent, repaint, repaintAll, safeExec, setBackgroundColor, setBackgroundColorInternal, setBounds, setDirty, setFont, setForegroundColor, setForegroundColorInternal, setParametersInternal, setRedraw, setTransparentColor, unsafeExec, update`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### m_scrollBarSize

    protected int m_scrollBarSize

### m_fontHeight

    protected int m_fontHeight

### m_scrollValue

    protected int m_scrollValue

Constructor Detail

### AbstractScrolledComponent

    public AbstractScrolledComponent()

Method Detail

### drawScrollBar

    protected void drawScrollBar(XGraphics g,
                                 int x,
                                 int y,
                                 int height,
                                 int scrollValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD